//Copyright (C) 2007 SiegeLord
//See ReadMe.txt and License.txt for copying information

#pragma once

#include "neonz.h"
#include "objectex.h"
#include "particles.h"

struct SThrusterParticleHolder : SSmokeParticleHolder
{
	SThrusterParticleHolder()
	{
		type = thrusterparticle_type;
		dead = false;
	}

	SObject* target_object;

	SThrusterParticleHolder(int num_parts) :
	SSmokeParticleHolder(num_parts)
	{
		type = thrusterparticle_type;
		dead = false;
	}
	//virtual ~SSmokeParticleHolder();
	virtual int Handle();
	virtual void Draw();

	zColor color;
};

SThrusterParticleHolder* CreateThrusterParticleHolder(SObject* parent, SObject* target_object, SBitmap* bmp, zColor color);
